Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 655924 - can not set the default KDE
Summary: can not set the default KDE
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kde-settings
Version: 6.0
Hardware: x86_64
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Than Ngo
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-22 17:43 UTC by Petr Vanicek
Modified: 2011-07-06 14:59 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-23 12:29:50 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Petr Vanicek 2010-11-22 17:43:40 UTC
Description of problem:
can not set the default KDE



How reproducible:
system ignores the settings in /etc/sysconfig/desktop DESKTOP="KDE"

Comment 2 Than Ngo 2010-11-23 12:29:50 UTC
It seems you are using gdm as login manager. The DESKTOP enviroment is just ignored in this case. It's expected behavior, please choose the desktop from select box after you click the user in this case.

Comment 3 K. Scott Rowe 2011-07-06 14:59:10 UTC
We have run into this exact problem.  We "fixed" it by using KDM instead of GDM by setting DISPLAYMANAGER="KDE" in /etc/sysconfig/desktop.  KDM seems to respect the DESKTOP variable in /etc/sysconfig/desktop so it is able to default a user to either Gnome or KDE.


Note You need to log in before you can comment on or make changes to this bug.